org.apache.maven.shared.repository

## Class DefaultRepositoryAssembler

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.apache.maven.shared.repository.DefaultRepositoryAssembler

All Implemented Interfaces:
  RepositoryAssembler, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class DefaultRepositoryAssembler
    extends org.codehaus.plexus.logging.AbstractLogEnabled
    implements RepositoryAssembler, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Author:
  Jason van Zyl

### Field Summary

Fields
`protected org.apache.maven.artifact.factory.ArtifactFactory` `artifactFactory`
`protected org.apache.maven.artifact.repository.ArtifactRepositoryFactory` `artifactRepositoryFactory`
`protected org.apache.maven.artifact.resolver.ArtifactResolver` `artifactResolver`
`protected org.apache.maven.artifact.metadata.ArtifactMetadataSource` `metadataSource`
`protected org.apache.maven.project.MavenProjectBuilder` `projectBuilder`
`protected org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout` `repositoryLayout`
`protected static TimeZone` `UTC_TIME_ZONE`
`protected static String` `UTC_TIMESTAMP_PATTERN`

### Fields inherited from interface org.apache.maven.shared.repository.RepositoryAssembler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultRepositoryAssembler()`

`DefaultRepositoryAssembler(org.apache.maven.artifact.factory.ArtifactFactory artifactFactory, org.apache.maven.artifact.resolver.ArtifactResolver artifactResolver, org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout repositoryLayout, org.apache.maven.artifact.repository.ArtifactRepositoryFactory artifactRepositoryFactory, org.apache.maven.artifact.metadata.ArtifactMetadataSource metadataSource, org.apache.maven.project.MavenProjectBuilder projectBuilder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `buildRemoteRepository(File repositoryDirectory, RepositoryInfo repository, RepositoryBuilderConfigSource configSource)`
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`protected Map` `createGroupVersionAlignments(List versionAlignments)`
`protected org.apache.maven.artifact.repository.ArtifactRepository` `createLocalRepository(File directory)`
`org.apache.maven.artifact.repository.ArtifactRepository` `createRepository(String repositoryId, String repositoryUrl, boolean offline, boolean updateSnapshots, String globalChecksumPolicy)`
`protected static DateFormat` `getUtcDateFormatter()`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UTC_TIME_ZONE

    protected static final TimeZone UTC_TIME_ZONE

#### UTC_TIMESTAMP_PATTERN

    protected static final String UTC_TIMESTAMP_PATTERN

See Also:
  Constant Field Values

#### artifactFactory

    protected org.apache.maven.artifact.factory.ArtifactFactory artifactFactory

#### artifactResolver

    protected org.apache.maven.artifact.resolver.ArtifactResolver artifactResolver

#### repositoryLayout

    protected org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout repositoryLayout

#### artifactRepositoryFactory

    protected org.apache.maven.artifact.repository.ArtifactRepositoryFactory artifactRepositoryFactory

#### metadataSource

    protected org.apache.maven.artifact.metadata.ArtifactMetadataSource metadataSource

#### projectBuilder

    protected org.apache.maven.project.MavenProjectBuilder projectBuilder

### Constructor Detail

#### DefaultRepositoryAssembler

    public DefaultRepositoryAssembler()

#### DefaultRepositoryAssembler

    public DefaultRepositoryAssembler(org.apache.maven.artifact.factory.ArtifactFactory artifactFactory,
                                      org.apache.maven.artifact.resolver.ArtifactResolver artifactResolver,
                                      org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout repositoryLayout,
                                      org.apache.maven.artifact.repository.ArtifactRepositoryFactory artifactRepositoryFactory,
                                      org.apache.maven.artifact.metadata.ArtifactMetadataSource metadataSource,
                                      org.apache.maven.project.MavenProjectBuilder projectBuilder)

### Method Detail

#### buildRemoteRepository

    public void buildRemoteRepository(File repositoryDirectory,
                                      RepositoryInfo repository,
                                      RepositoryBuilderConfigSource configSource)
                               throws RepositoryAssemblyException

Specified by:
  `buildRemoteRepository` in interface `RepositoryAssembler`
Throws:
  `RepositoryAssemblyException`

#### createGroupVersionAlignments

    protected Map createGroupVersionAlignments(List versionAlignments)

#### getUtcDateFormatter

    protected static DateFormat getUtcDateFormatter()

#### createLocalRepository

    protected org.apache.maven.artifact.repository.ArtifactRepository createLocalRepository(File directory)

#### createRepository

    public org.apache.maven.artifact.repository.ArtifactRepository createRepository(String repositoryId,
                                                                                    String repositoryUrl,
                                                                                    boolean offline,
                                                                                    boolean updateSnapshots,
                                                                                    String globalChecksumPolicy)

#### contextualize

    public void contextualize(org.codehaus.plexus.context.Context context)
                       throws org.codehaus.plexus.context.ContextException

Specified by:
  `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
Throws:
  `org.codehaus.plexus.context.ContextException`